{ Генерация теста для задачи о знакомствах}
{ Личное первенство УрГУ-2000 }
{ Васильев С.Н.}


const max=999; { Количество студентов}
var
i,j,k,l:integer;
fin, fout:text;

begin

assign(fin,'input.txt');
rewrite(fin);
 writeln(fin,max);
 writeln(fin,max);
 for i:=3 to max-3 do write(fin,i,' '); writeln(fin, max-2);
 for i:=3 to max-2 do writeln(fin, 2);
 writeln(fin);
 writeln(fin,1);

close(fin);

end.